package com.xhkjedu.sclass.model.classroom;

import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "t_classroom_profile")
@Data
public class TClassroomProfile {
    /**
     * 课堂资料表
     */
    @Id
    private Long profileid;

    /**
     * 课堂ID
     */
    private Long roomid;

    /**
     * 资料名称
     */
    private String profilename;

    //资料预览地址
    private String profileurl;

    //资料后缀
    private String profilesuffix;


    /**
     * 创建人ID
     */
    private Integer createid;

    /**
     * 创建时间
     */
    private Integer createtime;

    /**
     * 学校ID
     */
    private Integer schoolid;

}