package com.xhkjedu.smarking.mapper.paper;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.paper.MsPaperQtype;
import com.xhkjedu.smarking.vo.paper.MsPaperQtypeVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷试卷题型表 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsPaperQtypeMapper extends TkMapper<MsPaperQtype> {

    //根据试卷ID删除试卷结构
    int deleteByMpId(@Param("mpId")Integer mpid);

    //题库试题详情
    List<MsPaperQtypeVo> listPaperQtypeQuestions(@Param("mpid") Integer mpid);

    //附件试题详情
    List<MsPaperQtypeVo> listPaperQtypeQuesitonsForFj(@Param("mpid") Integer mpid);

    //试卷主观题-附件
    List<Map<String,Object>> listSubjectiveQuestionsFj(@Param("mpid") Integer mpid,@Param("ctypes")int[] ctypes);
   //试卷主观题-题库
    List<Map<String,Object>> listSubjectiveQuestionsTk(@Param("mpid") Integer mpid,@Param("ctypes")int[] ctypes);
}
