package com.xhkjedu.smarking.vo.stupaper;

import com.xhkjedu.smarking.model.stupaper.MsPaperStudentQuestionScore;
import com.xhkjedu.smarking.model.stupaper.MsPaperStudentScore;
import lombok.Data;

import java.util.List;

/**
 * @Description：学生成绩
 * @Author: WN
 * @Date: 2024/11/12 10:40:37
 **/
@Data
public class PaperStuScoreVo {

    private Integer examid;//考试ID

    private Integer studentid;// 学生ID

    private Integer createid;// 创建人ID

    private Integer mpsid;//学生试卷ID

    private List<MsPaperStudentScore> stuscores;//学生考试成绩列表

    private List<MsPaperStudentQuestionScore> quescores;//学生试题分

    private String studentname;

    private Integer usersex;

    private Integer classid;

    private String classname;

    private String examno;

    private Double stuscore;

    private Integer stuscoretype;//学生得分类型0默认1考试得分2补录得分

    private Integer mpid;

}
