package com.xhkjedu.smarking.mapper.exam;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.exam.MsSubjectBadstudent;
import com.xhkjedu.smarking.model.exam.MsSubjectInvigilate;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷科目违规学生表 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsSubjectBadstudentMapper extends TkMapper<MsSubjectBadstudent> {

    //实时监控-班级下学生
    List<Map<String,Object>> listClassStus(@Param("mi")MsSubjectInvigilate mi);

    //实时监控-学生进场、提交情况
    Map<String,Object> getSubjectStuInRate(@Param("mi")MsSubjectInvigilate mi);

    //实时监控-学生违规照片
    List<Map<String,Object>> listSubjectStuBadPics(@Param("mi")MsSubjectInvigilate mi);
}
