package com.xhkjedu.smarking.model.exam;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷考试班级表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_class")
public class MsClass extends BaseBean {
    @Id
    //阅卷考试班级ID
    private Integer mcid;
    //考试id
    private Integer examid;
    //科目ID
    private String subjectid;
    //班级id
    private Integer classid;
    //班级名称
    private String classname;
    //班级对应学校id
    private Integer schoolid;
    //班级类型1行政班2虚拟班
    private Integer classtype;
}
