package com.xhkjedu.smarking.model.papercheck;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 疑难卷教师任务表
 * @Author auto
 * @Date 2024-11-21
 */
@Data
@Table(name = "ms_paper_check_teacher_problem")
public class MsPaperCheckTeacherProblem extends BaseBean {
    @Id
    //疑难卷教师任务ID
    private Integer mpctpid;
    //试卷ID
    private Integer mpid;
    //题块/试题/班级ID
    private Integer mblockid;
    //教师ID
    private Integer teacherid;
    //序号
    private Integer taskorder;
    //学生题块/试题ID
    private Integer mpsbid;
    //批阅状态1未批改2批改中3已批改
    private Integer checkstate;
    //得分数组
    private String checkscore;
    //创建时间
    private Integer createtime;
    //是否优秀试卷0默认1是
    private Integer hasgood;
    //是否违规试卷0默认1是
    private Integer hasbad;
}
