package com.xhkjedu.smarking.service.stupaper;

import com.xhkjedu.smarking.mapper.stupaper.MsPaperStudentBlockMapper;
import com.xhkjedu.smarking.model.stupaper.MsPaperStudentBlock;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷试卷学生题块 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsPaperStudentBlockService {
    @Resource
    private MsPaperStudentBlockMapper msPaperStudentBlockMapper;

    /**
     * @Description 新增
     * @Param [msPaperStudentBlock]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsPaperStudentBlock msPaperStudentBlock){
        msPaperStudentBlockMapper.insert(msPaperStudentBlock);
    }

    /**
     * @Description 列表
     * @Param [msPaperStudentBlock]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.stupaper.MsPaperStudentBlock>
     **/
    public List<MsPaperStudentBlock> queryList(MsPaperStudentBlock msPaperStudentBlock){
        return msPaperStudentBlockMapper.selectAll();
    }
}
